import { GefestElement } from "../element";

export class GefestButton extends GefestElement {
    constructor(content : (GefestElement | string)[] | string) {
        super(content);
    }

    protected wrapHTML (content: string): string {
        const attrString = this.attributesToString();
        return `<button ${attrString}>${content}</button>`;
    }
}